import React from "react";
import FrameImage from "../assets/images/page6.svg";
import Frame203 from "../assets/images/Frame 203.svg"; // Import the new image

const AgentPayment = () => {
  return (
    <div className="flex flex-col items-center justify-center min-h-screen bg-[#E9FAFF] py-10 px-6">
      <h1 className="absolute top-[50.5px] left-[330px] text-[48.31px] font-bold text-[#030A1E] leading-none">
        OMPOI - Seller
      </h1>

      {/* Main White Box */}
      <div className="absolute top-[132px] left-[304px] w-[120%] max-w-7xl h-[729px] rounded-[32.6px] shadow-[0px_3.91px_11.74px_0px_#2E268414] bg-white flex flex-row overflow-hidden border border-gray-200 p-7">
        {/* Left Section - Image */}
        <div className="hidden md:flex md:w-1/2 items-center justify-center p-6">
          <img src={FrameImage} alt="Illustration" className="w-[100%] h-auto" />
        </div>

        {/* Vertical Divider */}
        <div className="absolute top-[10%] left-[50%] w-[2px] h-[80%] bg-[#E2E7EE]"></div>

        {/* Right Section - Status */}
        <div className="w-full md:w-1/2 flex flex-col justify-center px-4 md:px-8 py-6 relative">
          <h2 className="text-3xl font-semibold text-gray-900 mb-6 text-left">Status</h2>
          
          {/* Status Box */}
          <div className="top-[-1%] w-[572px]  h-[410px] relative bg-[#E9FAFF] rounded-xl shadow-[6px_6px_0px_0px_rgba(0,0,0,1.00)] overflow-hidden p-7">
          <div className="absolute top-[17px] left-[22px] w-[183px] h-[32px] text-[#45505F] text-[22px] font-medium font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">
              Company Name
            </div>
            <div className="absolute top-[57px] left-[44px] w-[154px] h-[32px] text-[#000000] text-[20px] font-semibold font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">
              ABCD PVT LTD
            </div>
            
            <div className="absolute top-[100px] left-[28px] w-[206px] h-[32px] text-[#45505F] text-[22px] font-medium font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">
              Company Address
            </div>
            <div className="absolute top-[132px] left-[41px] w-[247px] h-[72px] text-[#000000] text-[20px] font-medium font-['Montserrat'] leading-[100%] tracking-[0.13px]">
              Shop No: 45 ABC Street <br />
              Mylapore <br />
              Chennai - 600004
            </div>
            
            {/* Merchant ID */}
            <div className="absolute top-[240px] left-[167px] w-[298px] h-[32px] text-[#45505F] text-[22px] font-medium font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">
              Merchant ID: <span className="font-semibold">TAMIL12345</span>
            </div>

            {/* Login Message */}
            <div className="absolute top-[285px] left-[131px] w-[392px] h-[24px] text-[#000000] text-[20px] font-medium font-['Montserrat'] leading-[100%] tracking-[0.13px] text-center">
              Login to your account to get started
            </div>

            {/* Verified Badge */}
            <div className="absolute top-[20px] left-[375px] w-[156px] h-[45px] text-[#101418] text-[20px] font-medium font-['Montserrat'] leading-[100%] tracking-[0px] gap-[10px] rounded-full border-2 border-[#0096FF] px-[35px] py-[10px]">
              Verified
            </div>

            {/* Login Button */}
            <div className="absolute top-[330px] left-[207px] w-[241px] h-[45px] gap-[10px] rounded-full bg-[#0096FF] text-white text-lg font-semibold shadow-md hover:bg-blue-700 transition flex items-center justify-center px-[37px] py-[10px]">
              <button className="w-full h-full">
                Login Now
              </button>
            </div>
          </div>
        </div>
      </div>

      {/* Payment Details */}
      <div className="absolute top-[408px] left-[1315px] w-[190px] h-[32px] text-[#45505F] text-[22px] font-semibold font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">
        Payment Details
      </div>

      {/* Payment ID */}
      <div className="absolute top-[443px] left-[1330px] w-[206px] h-[32px] text-[#45505F] text-[22px] font-medium font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">
        Payment ID
      </div>

      {/* Payment ID Value */}
      <div className="absolute top-[485px] left-[1333px] w-[246px] h-[24px] text-[#000000] text-[20px] font-medium font-['Montserrat'] leading-[100%] tracking-[0.13px]">
        ATUW1245678HBG
      </div>

      
    </div>
  );
};

export default AgentPayment;
